> ## Documentation Index > Fetch the complete documentation index at: https://support.keypro.fi/llms.txt > Use this file to discover all available pages before exploring further. # Release Port > NOTE: This API is provided by a separate service. Release the active device port. This service will find unambiguous circuit with the existing active device port reservation with given request parameters, and then releases it. Request must include information of the active device port (at the minimum KeyCom internal deviceId and either portId or portName), which will be removed from the circuit reservations (from the logical reservations, physical reservations, or both). The service supports optional update parameters in the request to update the affected circuit and/or section with, after the active device port is successfully released. Changes if only one circuit is found and active device port reservation can be released: (1) Port and its logical connection will be removed from the circuit's reservations (2) Circuit basic data will be updated with the optional data supplied by the client (3) Circuit section will be updated with the optional data supplied by the client in addition to section usage state being set to "Partially pre-connected" (4) The construction state of logical connections, that were released from circuit in conjunction with the released port, will be updated to "Deleted" Available from product version 2024.2. ## OpenAPI ````json POST /releasePort/ { "openapi": "3.0.4", "info": { "title": "KeyCom REST API", "termsOfService": "https://www.keypro.fi/en/terms-of-service", "contact": { "name": "Keypro Oy", "url": "https://keypro.fi/", "email": "keypro@keypro.fi" }, "license": { "name": "Copyright (C) Keypro Oy. All rights reserved.", "url": "https://www.keypro.fi/" }, "version": "2.0.0" }, "servers": [ { "url": "/api/v2" } ], "tags": [ { "name": "Plan", "description": "Plan related operations." }, { "name": "FreeArea", "description": "FreeArea related operations." }, { "name": "FreeLine", "description": "FreeLine related operations." }, { "name": "FreeText", "description": "FreeText related operations." }, { "name": "FreeTextComponent", "description": "FreeText component related operations." }, { "name": "Address", "description": "Building address related operations." }, { "name": "Apartment", "description": "Building apartments related operations." }, { "name": "Extra Attribute", "description": "Extra attributes related operations." }, { "name": "Extra Value", "description": "Extra attribute values related operations." }, { "name": "EAV Enum", "description": "EAV Enum value related operations." }, { "name": "EAV Enum Group", "description": "EAV Enum group related operations." }, { "name": "External Document", "description": "External documents related operations." }, { "name": "Attached Document", "description": "Attached Documents related operations." }, { "name": "Collections", "description": "Collection related operations." }, { "name": "Source system apartment", "description": "External source system derived apartment related operations." }, { "name": "Source system address", "description": "External source system derived address related operations." }, { "name": "Address alias", "description": "Address aliases related operations" }, { "name": "TxtConstant", "description": "TxtConstants related operations." }, { "name": "Point", "description": "Point objects related operations." }, { "name": "Survey Constant", "description": "Survey Constants related operations." }, { "name": "Survey Point", "description": "Survey Points related operations." }, { "name": "Survey Line String", "description": "Survey Line Strings related operations." }, { "name": "Template Catalog", "description": "Template Catalog related operations." }, { "name": "Route Following", "description": "Route following related operations." }, { "name": "Contact Person", "description": "Contact person related operations." }, { "name": "Contact Person Connection", "description": "Contact person connection related operations." }, { "name": "Telecom premises", "description": "Telecom premises related operations." }, { "name": "Device", "description": "Device related operations." }, { "name": "Device Group", "description": "Device Group related operations." }, { "name": "Splice", "description": "Telecom Splice related operations." }, { "name": "Telecom Conduit", "description": "Telecom Conduit related operations." }, { "name": "Telecom Conduit Link", "description": "Operations related to putting Telecom Cables and Ducts into Conduits." }, { "name": "Telecom Duct", "description": "Telecom Duct related operations." }, { "name": "Telecom Duct Link", "description": "Operations related to putting Telecom Cables into Ducts." }, { "name": "Telecom Conduit Connection", "description": "Operations related to connecting Conduits and endpoints." }, { "name": "Telecom Cable Connection", "description": "Operations related to connecting Cables and endpoints" }, { "name": "Telecom Thread/Port Connection", "description": "Operations related to connecting and disconnecting telecom cable threads and device ports" }, { "name": "Telecom Duct Connection", "description": "Operations related to connecting Telecom Ducts to Telecom Premises or Manhole." }, { "name": "Manhole", "description": "Telecom Manhole related operations." }, { "name": "Cable", "description": "Telecom Cable related operations." }, { "name": "Cable Appendix", "description": "Cable Appendix operations for connecting Cables to loops. Manages the relationship between Cables and loops, automatically adjusting Cable extra_length when appendixes are created, updated, or deleted." }, { "name": "Supercable", "description": "Telecom Supercable related operations." }, { "name": "Cross connection point", "description": "Cross connection point related operations." }, { "name": "Service Area", "description": "Service Area related operations." }, { "name": "Exchange Area", "description": "Exchange Area related operations." }, { "name": "Telecom Area", "description": "Telecom Area related operations." }, { "name": "Routefollower", "description": "Routefollower related operations." }, { "name": "Circuit", "description": "Circuit related operations." }, { "name": "Circuit Location", "description": "Circuit installation location related operations." }, { "name": "Circuit Section", "description": "Circuit section related operations." }, { "name": "Circuit Reservation Data", "description": "Circuit reservation data view and search operations." }, { "name": "Customer", "description": "Customer data related operations." }, { "name": "Passed Services", "description": "Passed Services related operations." }, { "name": "Circuit Connection", "description": "Circuit logical reservations related operations." }, { "name": "Circuit Physical Reservation", "description": "Circuit physical reservations related operations." }, { "name": "Create connections", "description": "Operation used to create new connections." }, { "name": "Terminal type", "description": "Terminal types related operations." }, { "name": "Logical connections", "description": "Logical connections related operations." }, { "name": "Circuit Services", "description": "Operations provided by micro services." }, { "name": "Contract", "description": "Contract related operations." }, { "name": "Contract Link", "description": "Contract link related operations." }, { "name": "Pole", "description": "Pole related operations." }, { "name": "Circuit faults", "description": "Circuit faults related operations." }, { "name": "Duct groups", "description": "Duct groups related operations." }, { "name": "Duct group rows", "description": "Duct group rows related operations." }, { "name": "Threads", "description": "Cable thread related operations." }, { "name": "Task", "description": "Task related operations." }, { "name": "Subregion", "description": "Subregion related operations." }, { "name": "SAttribute", "description": "SAttribute related operations." }, { "name": "Fault", "description": "Fault related operations." }, { "name": "Maintenance history", "description": "Maintenance history related operations." }, { "name": "Deflection", "description": "Deflection related operations." }, { "name": "Fault Component", "description": "Fault Component related operations." }, { "name": "Task Comment", "description": "Task comment related operations." }, { "name": "FaultComponentFault", "description": "FaultComponentFault related operations." } ], "paths": { "/releasePort/": { "post": { "tags": [ "Circuit Services" ], "summary": "Release Port", "description": "NOTE: This API is provided by a separate service.\n\nRelease the active device port.\n\nThis service will find unambiguous circuit with the existing active device port reservation with given request\nparameters, and then releases it. Request must include information of the active device port \n(at the minimum KeyCom internal deviceId and either portId or portName), which will be removed from the circuit\nreservations (from the logical reservations, physical reservations, or both).\n\nThe service supports optional update parameters in the request to update the affected circuit and/or section with, \nafter the active device port is successfully released.\n\nChanges if only one circuit is found and active device port reservation can be released:\n(1) Port and its logical connection will be removed from the circuit's reservations\n(2) Circuit basic data will be updated with the optional data supplied by the client\n(3) Circuit section will be updated with the optional data supplied by the client in addition to section usage\n state being set to \"Partially pre-connected\"\n(4) The construction state of logical connections, that were released from circuit in conjunction with \n the released port, will be updated to \"Deleted\"\n\nAvailable from product version 2024.2.\n", "operationId": "releasePort", "requestBody": { "description": "Object featuring both the search criteria for finding and releasing the active device port, and also the optional data to update the affected circuit and/or its section with.\n", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/ReleasePortBody" } } }, "required": true, "x-bodyName": "releasePortBody" }, "responses": { "200": { "description": "Circuit and sections with reservation data, route information, total length and total attenuation.", "content": { "application/json": { "schema": { "type": "array", "items": { "$ref": "#/components/schemas/CircuitRouteInformation" } }, "example": [ { "areaCode": null, "comments": null, "contractLength": 4, "contractNumber": "O2738", "createdBy": "test_user", "createdTs": "2024-08-29", "customer": { "address": { "address": { "apartments": [ "http://keycom.example.com/api/v2/apartments/1999978/" ], "buildingId": "", "building_name": null, "city": "City", "cityAlt": "", "country": "", "createdBy": "test_user", "createdTs": "2021-04-16T09:42:33.167209", "district": "", "empty": 0, "id": 24264170, "listUrl": "http://keycom.example.com/api/v2/addresses/", "location": "SRID=3067;POINT (456503.37275543 6702568.6459308)", "municipality": "", "propertyId": "", "province": "", "sourceSystem": null, "sourceSystemKey": null, "streetname": "StreetName", "streetnameAlt": "", "streetno": "", "subdivision": "", "updatedBy": "test_user", "updatedTs": "2022-02-14T10:16:19.778513", "usagePurpose": null, "usagePurposeAlt": null, "zipcode": "" }, "apartmentDivision": null, "apartmentLetter": null, "apartmentNumber": null, "empty": 1, "id": 1999978, "listUrl": "/api/v2/apartments/", "originProperty": "//0000001592212", "originalStreetno": null, "sourceSystem": null, "sourceSystemKey": null, "usagePurpose": null, "usagePurposeAlt": null, "usageState": null }, "addressAlt": null, "billingName": "", "businessId": "", "createdBy": "test_user", "createdTs": "2021-04-16T09:42:38.63938", "email": "", "id": 4744870, "listUrl": "http://keycom.example.com/api/v2/customers/", "mobilePhone": "", "name": "Test Customer", "number": "A-4744870", "phone": "", "smsProhibited": false, "telefax": "", "type": { "availability_end_ts": null, "availability_start_ts": null, "available": true, "groupname": "KN_CUST_TYPE", "id": 6030, "list_url": "http://keycom.example.com/api/v2/txt_constants/groupname/KN_CUST_TYPE/", "logical_txt": "Yritys", "num_value": 2.0, "num_value2": null, "num_value3": null, "num_value4": null, "txt": "Company" }, "updatedBy": "test_user", "updatedTs": "2024-01-17T13:13:08.432341" }, "directLength": null, "id": 2216174, "identifier": "Circuit X", "identifierAlt": "Circuit Test", "importance": { "availability_end_ts": null, "availability_start_ts": null, "available": true, "groupname": "CIRCUIT_IMPORTANCE", "id": 48195510, "list_url": "http://keycom.example.com/api/v2/txt_constants/groupname/CIRCUIT_IMPORTANCE/", "logical_txt": "1 (>60 000 km2)", "num_value": 1.0, "num_value2": null, "num_value3": null, "num_value4": null, "txt": "1 (>60 000 km2)" }, "installationAddresses": [ "http://keycom.example.com/api/v2/circuitlocations/51106590/" ], "length": null, "orderNumber": "O4260", "organisation": null, "redundancy": { "availability_end_ts": null, "availability_start_ts": null, "available": true, "groupname": "CIRCUIT_REDUNDANCY", "id": 48195750, "list_url": "http://keycom.example.com/api/v2/txt_constants/groupname/CIRCUIT_REDUNDANCY/", "logical_txt": "No redundancy", "num_value": 1.0, "num_value2": null, "num_value3": null, "num_value4": null, "txt": "No redundancy" }, "sections": [ { "abnormalConnections": [ { "address": { "apartments": [ "http://keycom.example.com/api/v2/apartments/22031878/" ], "buildingId": null, "building_name": null, "city": "CENTER CITY", "cityAlt": null, "country": "", "createdBy": "test_user", "createdTs": "2024-08-29T16:28:58.140691", "district": null, "empty": 0, "id": 301705370, "listUrl": "http://keycom.example.com/api/v2/addresses/", "location": null, "municipality": null, "propertyId": null, "province": null, "sourceSystem": null, "sourceSystemKey": null, "streetname": "CENTER STREETNAME", "streetnameAlt": null, "streetno": "1", "subdivision": null, "updatedBy": "test_user", "updatedTs": "2024-08-29T16:28:58.140691", "usagePurpose": null, "usagePurposeAlt": null, "zipcode": null }, "ccp": { "bitrate": null, "ccpOwner": null, "channelType": null, "connectorNumber": 1, "connectorType": null, "constState": { "availability_end_ts": null, "availability_start_ts": null, "available": true, "groupname": "KN_CONST_STATE", "id": 6050, "list_url": "http://keycom.example.com/api/v2/txt_constants/groupname/KN_CONST_STATE/", "logical_txt": "Valmis", "num_value": 1.0, "num_value2": 1.0, "num_value3": null, "num_value4": null, "txt": "Ready" }, "freeStatus": 1, "functionality": null, "id": 829922070, "listUrl": "http://keycom.example.com/api/v2/ccps/", "name": "1", "parent": null, "priority": null, "remarks": null, "services": [], "signalDirection": null, "startThread": 1, "subCcpOrder": null, "subchannelsExist": null, "technology": 1, "terminal": "http://keycom.example.com/api/v2/devices/53336290/" }, "circuit": "http://keycom.example.com/api/v2/circuits/2216194/", "connection": null, "details": null, "device": "http://keycom.example.com/api/v2/devices/53336290/", "hierarchy": null, "id": 14889490, "order": 1, "premises": "http://keycom.example.com/api/v2/premises/80538490/", "section": "http://keycom.example.com/api/v2/sections/34734741/" }, { "ccp": null, "circuit": "http://keycom.example.com/api/v2/circuits/2216194/", "connection": { "attenuation": null, "cableLength": null, "ccp1Id": "http://keycom.example.com/api/v2/ccps/829923270/", "ccp1PremId": "http://keycom.example.com/api/v2/premises/80538490/", "ccp1TermId": "http://keycom.example.com/api/v2/devices/53336690/", "ccp2Id": "http://keycom.example.com/api/v2/ccps/829922070/", "ccp2PremId": "http://keycom.example.com/api/v2/premises/80538490/", "ccp2TermId": "http://keycom.example.com/api/v2/devices/53336290/", "connectionType": { "availability_end_ts": null, "availability_start_ts": null, "available": true, "groupname": "KN_CONNECTION_TYPE", "id": 6230, "list_url": "http://keycom.example.com/api/v2/txt_constants/groupname/KN_CONNECTION_TYPE/", "logical_txt": "Ristikytkentä", "num_value": 2.0, "num_value2": null, "num_value3": null, "num_value4": null, "txt": "Crossconnection" }, "constState": { "availability_end_ts": null, "availability_start_ts": null, "available": true, "groupname": "KN_CONST_STATE", "id": 6050, "list_url": "http://keycom.example.com/api/v2/txt_constants/groupname/KN_CONST_STATE/", "logical_txt": "Valmis", "num_value": 1.0, "num_value2": 1.0, "num_value3": null, "num_value4": null, "txt": "Ready" }, "directionId": null, "id": 24807350, "listUrl": "http://keycom.example.com/api/v2/ccp-connections/" }, "details": null, "device": null, "hierarchy": null, "id": 14889890, "order": 2, "premises": null, "section": "http://keycom.example.com/api/v2/sections/34734741/" }, { "address": { "apartments": [ "http://keycom.example.com/api/v2/apartments/22031878/" ], "buildingId": null, "building_name": null, "city": "CENTER CITY", "cityAlt": null, "country": "", "createdBy": "test_user", "createdTs": "2024-08-29T16:28:58.140691", "district": null, "empty": 0, "id": 301705370, "listUrl": "http://keycom.example.com/api/v2/addresses/", "location": null, "municipality": null, "propertyId": null, "province": null, "sourceSystem": null, "sourceSystemKey": null, "streetname": "CENTER STREETNAME", "streetnameAlt": null, "streetno": "1", "subdivision": null, "updatedBy": "test_user", "updatedTs": "2024-08-29T16:28:58.140691", "usagePurpose": null, "usagePurposeAlt": null, "zipcode": null }, "ccp": { "bitrate": null, "ccpOwner": null, "channelType": null, "connectorNumber": 1, "connectorType": null, "constState": { "availability_end_ts": null, "availability_start_ts": null, "available": true, "groupname": "KN_CONST_STATE", "id": 6050, "list_url": "http://keycom.example.com/api/v2/txt_constants/groupname/KN_CONST_STATE/", "logical_txt": "Valmis", "num_value": 1.0, "num_value2": 1.0, "num_value3": null, "num_value4": null, "txt": "Ready" }, "freeStatus": 1, "functionality": null, "id": 829923270, "listUrl": "http://keycom.example.com/api/v2/ccps/", "name": "1", "parent": null, "priority": null, "remarks": null, "services": [], "signalDirection": null, "startThread": 1, "subCcpOrder": null, "subchannelsExist": null, "technology": 1, "terminal": "http://keycom.example.com/api/v2/devices/53336690/" }, "circuit": "http://keycom.example.com/api/v2/circuits/2216194/", "connection": null, "details": null, "device": "http://keycom.example.com/api/v2/devices/53336690/", "hierarchy": null, "id": 14890290, "order": 3, "premises": "http://keycom.example.com/api/v2/premises/80538490/", "section": "http://keycom.example.com/api/v2/sections/34734741/" }, { "ccp": null, "circuit": "http://keycom.example.com/api/v2/circuits/2216194/", "connection": { "attenuation": null, "cableLength": null, "ccp1Id": "http://keycom.example.com/api/v2/ccps/829923670/", "ccp1PremId": "http://keycom.example.com/api/v2/premises/80538890/", "ccp1TermId": "http://keycom.example.com/api/v2/devices/53337090/", "ccp2Id": "http://keycom.example.com/api/v2/ccps/829923270/", "ccp2PremId": "http://keycom.example.com/api/v2/premises/80538490/", "ccp2TermId": "http://keycom.example.com/api/v2/devices/53336690/", "connectionType": { "availability_end_ts": null, "availability_start_ts": null, "available": true, "groupname": "KN_CONNECTION_TYPE", "id": 6210, "list_url": "http://keycom.example.com/api/v2/txt_constants/groupname/KN_CONNECTION_TYPE/", "logical_txt": "Vastinpistekytkentä", "num_value": 1.0, "num_value2": null, "num_value3": null, "num_value4": null, "txt": "Other end connection" }, "constState": { "availability_end_ts": null, "availability_start_ts": null, "available": true, "groupname": "KN_CONST_STATE", "id": 6050, "list_url": "http://keycom.example.com/api/v2/txt_constants/groupname/KN_CONST_STATE/", "logical_txt": "Valmis", "num_value": 1.0, "num_value2": 1.0, "num_value3": null, "num_value4": null, "txt": "Ready" }, "directionId": null, "id": 24806950, "listUrl": "http://keycom.example.com/api/v2/ccp-connections/" }, "details": null, "device": null, "hierarchy": null, "id": 14890690, "order": 4, "premises": null, "section": "http://keycom.example.com/api/v2/sections/34734741/" }, { "address": { "apartments": [ "http://keycom.example.com/api/v2/apartments/22031898/" ], "buildingId": null, "building_name": null, "city": "CABINET CITY", "cityAlt": null, "country": "", "createdBy": "test_user", "createdTs": "2024-08-29T16:29:24.919805", "district": null, "empty": 0, "id": 301705770, "listUrl": "http://keycom.example.com/api/v2/addresses/", "location": null, "municipality": null, "propertyId": null, "province": null, "sourceSystem": null, "sourceSystemKey": null, "streetname": "CABINET STREETNAME", "streetnameAlt": null, "streetno": "1", "subdivision": null, "updatedBy": "test_user", "updatedTs": "2024-08-29T16:29:24.919805", "usagePurpose": null, "usagePurposeAlt": null, "zipcode": null }, "ccp": { "bitrate": null, "ccpOwner": null, "channelType": null, "connectorNumber": 1, "connectorType": null, "constState": { "availability_end_ts": null, "availability_start_ts": null, "available": true, "groupname": "KN_CONST_STATE", "id": 6050, "list_url": "http://keycom.example.com/api/v2/txt_constants/groupname/KN_CONST_STATE/", "logical_txt": "Valmis", "num_value": 1.0, "num_value2": 1.0, "num_value3": null, "num_value4": null, "txt": "Ready" }, "freeStatus": 1, "functionality": null, "id": 829923670, "listUrl": "http://keycom.example.com/api/v2/ccps/", "name": "1", "parent": null, "priority": null, "remarks": null, "services": [], "signalDirection": null, "startThread": 1, "subCcpOrder": null, "subchannelsExist": null, "technology": 1, "terminal": "http://keycom.example.com/api/v2/devices/53337090/" }, "circuit": "http://keycom.example.com/api/v2/circuits/2216194/", "connection": null, "details": null, "device": "http://keycom.example.com/api/v2/devices/53337090/", "hierarchy": null, "id": 14891490, "order": 5, "premises": "http://keycom.example.com/api/v2/premises/80538890/", "section": "http://keycom.example.com/api/v2/sections/34734741/" }, { "ccp": null, "circuit": "http://keycom.example.com/api/v2/circuits/2216194/", "connection": { "attenuation": null, "cableLength": null, "ccp1Id": "http://keycom.example.com/api/v2/ccps/829924070/", "ccp1PremId": "http://keycom.example.com/api/v2/premises/80538890/", "ccp1TermId": "http://keycom.example.com/api/v2/devices/53337490/", "ccp2Id": "http://keycom.example.com/api/v2/ccps/829923670/", "ccp2PremId": "http://keycom.example.com/api/v2/premises/80538890/", "ccp2TermId": "http://keycom.example.com/api/v2/devices/53337090/", "connectionType": { "availability_end_ts": null, "availability_start_ts": null, "available": true, "groupname": "KN_CONNECTION_TYPE", "id": 6230, "list_url": "http://keycom.example.com/api/v2/txt_constants/groupname/KN_CONNECTION_TYPE/", "logical_txt": "Ristikytkentä", "num_value": 2.0, "num_value2": null, "num_value3": null, "num_value4": null, "txt": "Crossconnection" }, "constState": { "availability_end_ts": null, "availability_start_ts": null, "available": true, "groupname": "KN_CONST_STATE", "id": 6050, "list_url": "http://keycom.example.com/api/v2/txt_constants/groupname/KN_CONST_STATE/", "logical_txt": "Valmis", "num_value": 1.0, "num_value2": 1.0, "num_value3": null, "num_value4": null, "txt": "Ready" }, "directionId": null, "id": 24806550, "listUrl": "http://keycom.example.com/api/v2/ccp-connections/" }, "details": null, "device": null, "hierarchy": null, "id": 14891090, "order": 6, "premises": null, "section": "http://keycom.example.com/api/v2/sections/34734741/" }, { "address": { "apartments": [ "http://keycom.example.com/api/v2/apartments/22031898/" ], "buildingId": null, "building_name": null, "city": "CABINET CITY", "cityAlt": null, "country": "", "createdBy": "test_user", "createdTs": "2024-08-29T16:29:24.919805", "district": null, "empty": 0, "id": 301705770, "listUrl": "http://keycom.example.com/api/v2/addresses/", "location": null, "municipality": null, "propertyId": null, "province": null, "sourceSystem": null, "sourceSystemKey": null, "streetname": "CABINET STREETNAME", "streetnameAlt": null, "streetno": "1", "subdivision": null, "updatedBy": "test_user", "updatedTs": "2024-08-29T16:29:24.919805", "usagePurpose": null, "usagePurposeAlt": null, "zipcode": null }, "ccp": { "bitrate": null, "ccpOwner": null, "channelType": null, "connectorNumber": 1, "connectorType": null, "constState": { "availability_end_ts": null, "availability_start_ts": null, "available": true, "groupname": "KN_CONST_STATE", "id": 6050, "list_url": "http://keycom.example.com/api/v2/txt_constants/groupname/KN_CONST_STATE/", "logical_txt": "Valmis", "num_value": 1.0, "num_value2": 1.0, "num_value3": null, "num_value4": null, "txt": "Ready" }, "freeStatus": 1, "functionality": null, "id": 829924070, "listUrl": "http://keycom.example.com/api/v2/ccps/", "name": "1", "parent": null, "priority": null, "remarks": null, "services": [], "signalDirection": null, "startThread": 1, "subCcpOrder": null, "subchannelsExist": null, "technology": 1, "terminal": "http://keycom.example.com/api/v2/devices/53337490/" }, "circuit": "http://keycom.example.com/api/v2/circuits/2216194/", "connection": null, "details": null, "device": "http://keycom.example.com/api/v2/devices/53337490/", "hierarchy": null, "id": 14891890, "order": 7, "premises": "http://keycom.example.com/api/v2/premises/80538890/", "section": "http://keycom.example.com/api/v2/sections/34734741/" }, { "address": { "apartments": [ "http://keycom.example.com/api/v2/apartments/22031878/" ], "buildingId": null, "building_name": null, "city": "CENTER CITY", "cityAlt": null, "country": "", "createdBy": "test_user", "createdTs": "2024-08-29T16:28:58.140691", "district": null, "empty": 0, "id": 301705370, "listUrl": "http://keycom.example.com/api/v2/addresses/", "location": null, "municipality": null, "propertyId": null, "province": null, "sourceSystem": null, "sourceSystemKey": null, "streetname": "CENTER STREETNAME", "streetnameAlt": null, "streetno": "1", "subdivision": null, "updatedBy": "test_user", "updatedTs": "2024-08-29T16:28:58.140691", "usagePurpose": null, "usagePurposeAlt": null, "zipcode": null }, "ccp": { "bitrate": null, "ccpOwner": null, "channelType": null, "connectorNumber": 1, "connectorType": null, "constState": { "availability_end_ts": null, "availability_start_ts": null, "available": true, "groupname": "KN_CONST_STATE", "id": 6050, "list_url": "http://keycom.example.com/api/v2/txt_constants/groupname/KN_CONST_STATE/", "logical_txt": "Valmis", "num_value": 1.0, "num_value2": 1.0, "num_value3": null, "num_value4": null, "txt": "Ready" }, "freeStatus": 1, "functionality": null, "id": 829922070, "listUrl": "http://keycom.example.com/api/v2/ccps/", "name": "1", "parent": null, "priority": null, "remarks": null, "services": [], "signalDirection": null, "startThread": 1, "subCcpOrder": null, "subchannelsExist": null, "technology": 1, "terminal": "http://keycom.example.com/api/v2/devices/53336290/" }, "circuit": "http://keycom.example.com/api/v2/circuits/2216214/", "connection": null, "details": null, "device": "http://keycom.example.com/api/v2/devices/53336290/", "hierarchy": null, "id": 14893490, "order": 1, "premises": "http://keycom.example.com/api/v2/premises/80538490/", "section": "http://keycom.example.com/api/v2/sections/34735141/" }, { "ccp": null, "circuit": "http://keycom.example.com/api/v2/circuits/2216214/", "connection": { "attenuation": null, "cableLength": null, "ccp1Id": "http://keycom.example.com/api/v2/ccps/829923270/", "ccp1PremId": "http://keycom.example.com/api/v2/premises/80538490/", "ccp1TermId": "http://keycom.example.com/api/v2/devices/53336690/", "ccp2Id": "http://keycom.example.com/api/v2/ccps/829922070/", "ccp2PremId": "http://keycom.example.com/api/v2/premises/80538490/", "ccp2TermId": "http://keycom.example.com/api/v2/devices/53336290/", "connectionType": { "availability_end_ts": null, "availability_start_ts": null, "available": true, "groupname": "KN_CONNECTION_TYPE", "id": 6230, "list_url": "http://keycom.example.com/api/v2/txt_constants/groupname/KN_CONNECTION_TYPE/", "logical_txt": "Ristikytkentä", "num_value": 2.0, "num_value2": null, "num_value3": null, "num_value4": null, "txt": "Crossconnection" }, "constState": { "availability_end_ts": null, "availability_start_ts": null, "available": true, "groupname": "KN_CONST_STATE", "id": 6050, "list_url": "http://keycom.example.com/api/v2/txt_constants/groupname/KN_CONST_STATE/", "logical_txt": "Valmis", "num_value": 1.0, "num_value2": 1.0, "num_value3": null, "num_value4": null, "txt": "Ready" }, "directionId": null, "id": 24807350, "listUrl": "http://keycom.example.com/api/v2/ccp-connections/" }, "details": null, "device": null, "hierarchy": null, "id": 14893090, "order": 2, "premises": null, "section": "http://keycom.example.com/api/v2/sections/34735141/" }, { "address": { "apartments": [ "http://keycom.example.com/api/v2/apartments/22031878/" ], "buildingId": null, "building_name": null, "city": "CENTER CITY", "cityAlt": null, "country": "", "createdBy": "test_user", "createdTs": "2024-08-29T16:28:58.140691", "district": null, "empty": 0, "id": 301705370, "listUrl": "http://keycom.example.com/api/v2/addresses/", "location": null, "municipality": null, "propertyId": null, "province": null, "sourceSystem": null, "sourceSystemKey": null, "streetname": "CENTER STREETNAME", "streetnameAlt": null, "streetno": "1", "subdivision": null, "updatedBy": "test_user", "updatedTs": "2024-08-29T16:28:58.140691", "usagePurpose": null, "usagePurposeAlt": null, "zipcode": null }, "ccp": { "bitrate": null, "ccpOwner": null, "channelType": null, "connectorNumber": 1, "connectorType": null, "constState": { "availability_end_ts": null, "availability_start_ts": null, "available": true, "groupname": "KN_CONST_STATE", "id": 6050, "list_url": "http://keycom.example.com/api/v2/txt_constants/groupname/KN_CONST_STATE/", "logical_txt": "Valmis", "num_value": 1.0, "num_value2": 1.0, "num_value3": null, "num_value4": null, "txt": "Ready" }, "freeStatus": 1, "functionality": null, "id": 829923270, "listUrl": "http://keycom.example.com/api/v2/ccps/", "name": "1", "parent": null, "priority": null, "remarks": null, "services": [], "signalDirection": null, "startThread": 1, "subCcpOrder": null, "subchannelsExist": null, "technology": 1, "terminal": "http://keycom.example.com/api/v2/devices/53336690/" }, "circuit": "http://keycom.example.com/api/v2/circuits/2216214/", "connection": null, "details": null, "device": "http://keycom.example.com/api/v2/devices/53336690/", "hierarchy": null, "id": 14893890, "order": 3, "premises": "http://keycom.example.com/api/v2/premises/80538490/", "section": "http://keycom.example.com/api/v2/sections/34735141/" } ], "connectionsToDelete": [ { "attenuation": null, "cableLength": null, "ccp1Id": "http://keycom.example.com/api/v2/ccps/829924870/", "ccp1PremId": "http://keycom.example.com/api/v2/premises/80539290/", "ccp1TermId": "http://keycom.example.com/api/v2/devices/53338290/", "ccp2Id": "http://keycom.example.com/api/v2/ccps/829924470/", "ccp2PremId": "http://keycom.example.com/api/v2/premises/80539290/", "ccp2TermId": "http://keycom.example.com/api/v2/devices/53337890/", "connectionType": { "availability_end_ts": null, "availability_start_ts": null, "available": true, "groupname": "KN_CONNECTION_TYPE", "id": 6230, "list_url": "http://keycom.example.com/api/v2/txt_constants/groupname/KN_CONNECTION_TYPE/", "logical_txt": "Ristikytkentä", "num_value": 2.0, "num_value2": null, "num_value3": null, "num_value4": null, "txt": "Crossconnection" }, "constState": { "availability_end_ts": null, "availability_start_ts": null, "available": true, "groupname": "KN_CONST_STATE", "id": 6050, "list_url": "http://keycom.example.com/api/v2/txt_constants/groupname/KN_CONST_STATE/", "logical_txt": "Valmis", "num_value": 1.0, "num_value2": 1.0, "num_value3": null, "num_value4": null, "txt": "Ready" }, "directionId": null, "id": 24808150 } ], "constructionState": { "availability_end_ts": null, "availability_start_ts": null, "available": true, "groupname": "KN_CONST_STATE", "id": 6050, "list_url": "http://keycom.example.com/api/v2/txt_constants/groupname/KN_CONST_STATE/", "logical_txt": "Valmis", "num_value": 1.0, "num_value2": 1.0, "num_value3": null, "num_value4": null, "txt": "Ready" }, "id": 34734341, "listUrl": "http://keycom.example.com/api/v2/sections/", "name": "Circuit Section X", "provisioningDevices": [ { "ccp": "http://keycom.example.com/api/v2/ccps/829922070", "circuit": "http://keycom.example.com/api/v2/circuits/2216174/", "device": "http://keycom.example.com/api/v2/devices/53336290/", "order": 1, "premises": "http://keycom.example.com/api/v2/premises/80538490/", "section": "http://keycom.example.com/api/v2/sections/34734341/" } ], "reservations": { "logical": [ { "address": { "apartments": [ "http://keycom.example.com/api/v2/apartments/22031878/" ], "buildingId": null, "building_name": null, "city": "CENTER CITY", "cityAlt": null, "country": "", "createdBy": "test_user", "createdTs": "2024-08-29T16:28:58.140691", "district": null, "empty": 0, "id": 301705370, "listUrl": "http://keycom.example.com/api/v2/addresses/", "location": null, "municipality": null, "propertyId": null, "province": null, "sourceSystem": null, "sourceSystemKey": null, "streetname": "CENTER STREETNAME", "streetnameAlt": null, "streetno": "1", "subdivision": null, "updatedBy": "test_user", "updatedTs": "2024-08-29T16:28:58.140691", "usagePurpose": null, "usagePurposeAlt": null, "zipcode": null }, "ccp": { "bitrate": null, "ccpOwner": null, "channelType": null, "connectorNumber": 1, "connectorType": null, "constState": { "availability_end_ts": null, "availability_start_ts": null, "available": true, "groupname": "KN_CONST_STATE", "id": 6050, "list_url": "http://keycom.example.com/api/v2/txt_constants/groupname/KN_CONST_STATE/", "logical_txt": "Valmis", "num_value": 1.0, "num_value2": 1.0, "num_value3": null, "num_value4": null, "txt": "Ready" }, "freeStatus": 1, "functionality": null, "id": 829922070, "listUrl": "http://keycom.example.com/api/v2/ccps/", "name": "1", "parent": null, "priority": null, "remarks": null, "services": [], "signalDirection": null, "startThread": 1, "subCcpOrder": null, "subchannelsExist": null, "technology": 1, "terminal": "http://keycom.example.com/api/v2/devices/53336290/" }, "circuit": "http://keycom.example.com/api/v2/circuits/2216174/", "connection": null, "details": null, "device": "http://keycom.example.com/api/v2/devices/53336290/", "hierarchy": null, "id": 14886290, "order": 1, "premises": "http://keycom.example.com/api/v2/premises/80538490/", "section": "http://keycom.example.com/api/v2/sections/34734341/" }, { "ccp": null, "circuit": "http://keycom.example.com/api/v2/circuits/2216174/", "connection": { "attenuation": null, "cableLength": null, "ccp1Id": "http://keycom.example.com/api/v2/ccps/829923270/", "ccp1PremId": "http://keycom.example.com/api/v2/premises/80538490/", "ccp1TermId": "http://keycom.example.com/api/v2/devices/53336690/", "ccp2Id": "http://keycom.example.com/api/v2/ccps/829922070/", "ccp2PremId": "http://keycom.example.com/api/v2/premises/80538490/", "ccp2TermId": "http://keycom.example.com/api/v2/devices/53336290/", "connectionType": { "availability_end_ts": null, "availability_start_ts": null, "available": true, "groupname": "KN_CONNECTION_TYPE", "id": 6230, "list_url": "http://keycom.example.com/api/v2/txt_constants/groupname/KN_CONNECTION_TYPE/", "logical_txt": "Ristikytkentä", "num_value": 2.0, "num_value2": null, "num_value3": null, "num_value4": null, "txt": "Crossconnection" }, "constState": { "availability_end_ts": null, "availability_start_ts": null, "available": true, "groupname": "KN_CONST_STATE", "id": 6050, "list_url": "http://keycom.example.com/api/v2/txt_constants/groupname/KN_CONST_STATE/", "logical_txt": "Valmis", "num_value": 1.0, "num_value2": 1.0, "num_value3": null, "num_value4": null, "txt": "Ready" }, "directionId": null, "id": 24807350, "listUrl": "http://keycom.example.com/api/v2/ccp-connections/" }, "details": null, "device": null, "hierarchy": null, "id": 14885890, "order": 2, "premises": null, "section": "http://keycom.example.com/api/v2/sections/34734341/" }, { "address": { "apartments": [ "http://keycom.example.com/api/v2/apartments/22031878/" ], "buildingId": null, "building_name": null, "city": "CENTER CITY", "cityAlt": null, "country": "", "createdBy": "test_user", "createdTs": "2024-08-29T16:28:58.140691", "district": null, "empty": 0, "id": 301705370, "listUrl": "http://keycom.example.com/api/v2/addresses/", "location": null, "municipality": null, "propertyId": null, "province": null, "sourceSystem": null, "sourceSystemKey": null, "streetname": "CENTER STREETNAME", "streetnameAlt": null, "streetno": "1", "subdivision": null, "updatedBy": "test_user", "updatedTs": "2024-08-29T16:28:58.140691", "usagePurpose": null, "usagePurposeAlt": null, "zipcode": null }, "ccp": { "bitrate": null, "ccpOwner": null, "channelType": null, "connectorNumber": 1, "connectorType": null, "constState": { "availability_end_ts": null, "availability_start_ts": null, "available": true, "groupname": "KN_CONST_STATE", "id": 6050, "list_url": "http://keycom.example.com/api/v2/txt_constants/groupname/KN_CONST_STATE/", "logical_txt": "Valmis", "num_value": 1.0, "num_value2": 1.0, "num_value3": null, "num_value4": null, "txt": "Ready" }, "freeStatus": 1, "functionality": null, "id": 829923270, "listUrl": "http://keycom.example.com/api/v2/ccps/", "name": "1", "parent": null, "priority": null, "remarks": null, "services": [], "signalDirection": null, "startThread": 1, "subCcpOrder": null, "subchannelsExist": null, "technology": 1, "terminal": "http://keycom.example.com/api/v2/devices/53336690/" }, "circuit": "http://keycom.example.com/api/v2/circuits/2216174/", "connection": null, "details": null, "device": "http://keycom.example.com/api/v2/devices/53336690/", "hierarchy": null, "id": 14886690, "order": 3, "premises": "http://keycom.example.com/api/v2/premises/80538490/", "section": "http://keycom.example.com/api/v2/sections/34734341/" }, { "ccp": null, "circuit": "http://keycom.example.com/api/v2/circuits/2216174/", "connection": { "attenuation": null, "cableLength": null, "ccp1Id": "http://keycom.example.com/api/v2/ccps/829923670/", "ccp1PremId": "http://keycom.example.com/api/v2/premises/80538890/", "ccp1TermId": "http://keycom.example.com/api/v2/devices/53337090/", "ccp2Id": "http://keycom.example.com/api/v2/ccps/829923270/", "ccp2PremId": "http://keycom.example.com/api/v2/premises/80538490/", "ccp2TermId": "http://keycom.example.com/api/v2/devices/53336690/", "connectionType": { "availability_end_ts": null, "availability_start_ts": null, "available": true, "groupname": "KN_CONNECTION_TYPE", "id": 6210, "list_url": "http://keycom.example.com/api/v2/txt_constants/groupname/KN_CONNECTION_TYPE/", "logical_txt": "Vastinpistekytkentä", "num_value": 1.0, "num_value2": null, "num_value3": null, "num_value4": null, "txt": "Other end connection" }, "constState": { "availability_end_ts": null, "availability_start_ts": null, "available": true, "groupname": "KN_CONST_STATE", "id": 6050, "list_url": "http://keycom.example.com/api/v2/txt_constants/groupname/KN_CONST_STATE/", "logical_txt": "Valmis", "num_value": 1.0, "num_value2": 1.0, "num_value3": null, "num_value4": null, "txt": "Ready" }, "directionId": null, "id": 24806950, "listUrl": "http://keycom.example.com/api/v2/ccp-connections/" }, "details": null, "device": null, "hierarchy": null, "id": 14887090, "order": 4, "premises": null, "section": "http://keycom.example.com/api/v2/sections/34734341/" }, { "address": { "apartments": [ "http://keycom.example.com/api/v2/apartments/22031898/" ], "buildingId": null, "building_name": null, "city": "CABINET CITY", "cityAlt": null, "country": "", "createdBy": "test_user", "createdTs": "2024-08-29T16:29:24.919805", "district": null, "empty": 0, "id": 301705770, "listUrl": "http://keycom.example.com/api/v2/addresses/", "location": null, "municipality": null, "propertyId": null, "province": null, "sourceSystem": null, "sourceSystemKey": null, "streetname": "CABINET STREETNAME", "streetnameAlt": null, "streetno": "1", "subdivision": null, "updatedBy": "test_user", "updatedTs": "2024-08-29T16:29:24.919805", "usagePurpose": null, "usagePurposeAlt": null, "zipcode": null }, "ccp": { "bitrate": null, "ccpOwner": null, "channelType": null, "connectorNumber": 1, "connectorType": null, "constState": { "availability_end_ts": null, "availability_start_ts": null, "available": true, "groupname": "KN_CONST_STATE", "id": 6050, "list_url": "http://keycom.example.com/api/v2/txt_constants/groupname/KN_CONST_STATE/", "logical_txt": "Valmis", "num_value": 1.0, "num_value2": 1.0, "num_value3": null, "num_value4": null, "txt": "Ready" }, "freeStatus": 1, "functionality": null, "id": 829923670, "listUrl": "http://keycom.example.com/api/v2/ccps/", "name": "1", "parent": null, "priority": null, "remarks": null, "services": [], "signalDirection": null, "startThread": 1, "subCcpOrder": null, "subchannelsExist": null, "technology": 1, "terminal": "http://keycom.example.com/api/v2/devices/53337090/" }, "circuit": "http://keycom.example.com/api/v2/circuits/2216174/", "connection": null, "details": null, "device": "http://keycom.example.com/api/v2/devices/53337090/", "hierarchy": null, "id": 14887490, "order": 5, "premises": "http://keycom.example.com/api/v2/premises/80538890/", "section": "http://keycom.example.com/api/v2/sections/34734341/" }, { "ccp": null, "circuit": "http://keycom.example.com/api/v2/circuits/2216174/", "connection": { "attenuation": null, "cableLength": null, "ccp1Id": "http://keycom.example.com/api/v2/ccps/829924070/", "ccp1PremId": "http://keycom.example.com/api/v2/premises/80538890/", "ccp1TermId": "http://keycom.example.com/api/v2/devices/53337490/", "ccp2Id": "http://keycom.example.com/api/v2/ccps/829923670/", "ccp2PremId": "http://keycom.example.com/api/v2/premises/80538890/", "ccp2TermId": "http://keycom.example.com/api/v2/devices/53337090/", "connectionType": { "availability_end_ts": null, "availability_start_ts": null, "available": true, "groupname": "KN_CONNECTION_TYPE", "id": 6230, "list_url": "http://keycom.example.com/api/v2/txt_constants/groupname/KN_CONNECTION_TYPE/", "logical_txt": "Ristikytkentä", "num_value": 2.0, "num_value2": null, "num_value3": null, "num_value4": null, "txt": "Crossconnection" }, "constState": { "availability_end_ts": null, "availability_start_ts": null, "available": true, "groupname": "KN_CONST_STATE", "id": 6050, "list_url": "http://keycom.example.com/api/v2/txt_constants/groupname/KN_CONST_STATE/", "logical_txt": "Valmis", "num_value": 1.0, "num_value2": 1.0, "num_value3": null, "num_value4": null, "txt": "Ready" }, "directionId": null, "id": 24806550, "listUrl": "http://keycom.example.com/api/v2/ccp-connections/" }, "details": null, "device": null, "hierarchy": null, "id": 14887890, "order": 6, "premises": null, "section": "http://keycom.example.com/api/v2/sections/34734341/" }, { "address": { "apartments": [ "http://keycom.example.com/api/v2/apartments/22031898/" ], "buildingId": null, "building_name": null, "city": "CABINET CITY", "cityAlt": null, "country": "", "createdBy": "test_user", "createdTs": "2024-08-29T16:29:24.919805", "district": null, "empty": 0, "id": 301705770, "listUrl": "http://keycom.example.com/api/v2/addresses/", "location": null, "municipality": null, "propertyId": null, "province": null, "sourceSystem": null, "sourceSystemKey": null, "streetname": "CABINET STREETNAME", "streetnameAlt": null, "streetno": "1", "subdivision": null, "updatedBy": "test_user", "updatedTs": "2024-08-29T16:29:24.919805", "usagePurpose": null, "usagePurposeAlt": null, "zipcode": null }, "ccp": { "bitrate": null, "ccpOwner": null, "channelType": null, "connectorNumber": 1, "connectorType": null, "constState": { "availability_end_ts": null, "availability_start_ts": null, "available": true, "groupname": "KN_CONST_STATE", "id": 6050, "list_url": "http://keycom.example.com/api/v2/txt_constants/groupname/KN_CONST_STATE/", "logical_txt": "Valmis", "num_value": 1.0, "num_value2": 1.0, "num_value3": null, "num_value4": null, "txt": "Ready" }, "freeStatus": 1, "functionality": null, "id": 829924070, "listUrl": "http://keycom.example.com/api/v2/ccps/", "name": "1", "parent": null, "priority": null, "remarks": null, "services": [], "signalDirection": null, "startThread": 1, "subCcpOrder": null, "subchannelsExist": null, "technology": 1, "terminal": "http://keycom.example.com/api/v2/devices/53337490/" }, "circuit": "http://keycom.example.com/api/v2/circuits/2216174/", "connection": null, "details": null, "device": "http://keycom.example.com/api/v2/devices/53337490/", "hierarchy": null, "id": 14888290, "order": 7, "premises": "http://keycom.example.com/api/v2/premises/80538890/", "section": "http://keycom.example.com/api/v2/sections/34734341/" }, { "ccp": null, "circuit": "http://keycom.example.com/api/v2/circuits/2216174/", "connection": { "attenuation": null, "cableLength": null, "ccp1Id": "http://keycom.example.com/api/v2/ccps/829924470/", "ccp1PremId": "http://keycom.example.com/api/v2/premises/80539290/", "ccp1TermId": "http://keycom.example.com/api/v2/devices/53337890/", "ccp2Id": "http://keycom.example.com/api/v2/ccps/829924070/", "ccp2PremId": "http://keycom.example.com/api/v2/premises/80538890/", "ccp2TermId": "http://keycom.example.com/api/v2/devices/53337490/", "connectionType": { "availability_end_ts": null, "availability_start_ts": null, "available": true, "groupname": "KN_CONNECTION_TYPE", "id": 6210, "list_url": "http://keycom.example.com/api/v2/txt_constants/groupname/KN_CONNECTION_TYPE/", "logical_txt": "Vastinpistekytkentä", "num_value": 1.0, "num_value2": null, "num_value3": null, "num_value4": null, "txt": "Other end connection" }, "constState": { "availability_end_ts": null, "availability_start_ts": null, "available": true, "groupname": "KN_CONST_STATE", "id": 6050, "list_url": "http://keycom.example.com/api/v2/txt_constants/groupname/KN_CONST_STATE/", "logical_txt": "Valmis", "num_value": 1.0, "num_value2": 1.0, "num_value3": null, "num_value4": null, "txt": "Ready" }, "directionId": null, "id": 24805750, "listUrl": "http://keycom.example.com/api/v2/ccp-connections/" }, "details": null, "device": null, "hierarchy": null, "id": 14888690, "order": 8, "premises": null, "section": "http://keycom.example.com/api/v2/sections/34734341/" }, { "address": { "apartments": [ "http://keycom.example.com/api/v2/apartments/22031918/" ], "buildingId": null, "building_name": null, "city": "SUBSCRIBER CITY", "cityAlt": null, "country": "", "createdBy": "test_user", "createdTs": "2024-08-29T16:29:58.228827", "district": null, "empty": 0, "id": 301706170, "listUrl": "http://keycom.example.com/api/v2/addresses/", "location": null, "municipality": null, "propertyId": null, "province": null, "sourceSystem": null, "sourceSystemKey": null, "streetname": "SUBSCRIBER STREETNAME", "streetnameAlt": null, "streetno": "1", "subdivision": null, "updatedBy": "test_user", "updatedTs": "2024-08-29T16:29:58.228827", "usagePurpose": null, "usagePurposeAlt": null, "zipcode": null }, "ccp": { "bitrate": null, "ccpOwner": null, "channelType": null, "connectorNumber": 1, "connectorType": null, "constState": { "availability_end_ts": null, "availability_start_ts": null, "available": true, "groupname": "KN_CONST_STATE", "id": 6050, "list_url": "http://keycom.example.com/api/v2/txt_constants/groupname/KN_CONST_STATE/", "logical_txt": "Valmis", "num_value": 1.0, "num_value2": 1.0, "num_value3": null, "num_value4": null, "txt": "Ready" }, "freeStatus": 1, "functionality": null, "id": 829924470, "listUrl": "http://keycom.example.com/api/v2/ccps/", "name": "1", "parent": null, "priority": null, "remarks": null, "services": [], "signalDirection": null, "startThread": 1, "subCcpOrder": null, "subchannelsExist": null, "technology": 1, "terminal": "http://keycom.example.com/api/v2/devices/53337890/" }, "circuit": "http://keycom.example.com/api/v2/circuits/2216174/", "connection": null, "details": null, "device": "http://keycom.example.com/api/v2/devices/53337890/", "hierarchy": null, "id": 14889090, "order": 9, "premises": "http://keycom.example.com/api/v2/premises/80539290/", "section": "http://keycom.example.com/api/v2/sections/34734341/" } ] }, "totalAttenuation": 0, "totalLength": 0, "usagePurpose": { "availability_end_ts": null, "availability_start_ts": null, "available": true, "groupname": "USAGE", "id": 14750, "list_url": "http://keycom.example.com/api/v2/txt_constants/groupname/USAGE/", "logical_txt": "5 rahapuhelin", "num_value": 5.0, "num_value2": null, "num_value3": null, "num_value4": null, "txt": "5 Coin phone" }, "usageState": { "availability_end_ts": null, "availability_start_ts": null, "available": true, "groupname": "KN_USAGE_STATE", "id": 6390, "list_url": "http://keycom.example.com/api/v2/txt_constants/groupname/KN_USAGE_STATE/", "logical_txt": "Osittainen nimikko", "num_value": 6.0, "num_value2": 1.0, "num_value3": null, "num_value4": null, "txt": "Part legend" } } ], "updatedBy": "test_user", "updatedTs": "2024-08-29" } ] } } }, "300": { "$ref": "#/components/responses/Http300" }, "400": { "$ref": "#/components/responses/Http400" }, "401": { "$ref": "#/components/responses/Http401" }, "404": { "$ref": "#/components/responses/Http404" } }, "security": [ { "Token": [] } ] } } }, "components": { "schemas": { "ReleasePortBody": { "allOf": [ { "required": [ "deviceId" ], "type": "object", "properties": { "addressId": { "type": "integer", "description": "Optional search parameter. Apartment level ID of circuit installation address" }, "circuitId": { "type": "integer", "description": "Optional search parameter. ID of the circuit" }, "connectDatePlanned": { "type": "string", "description": "Optional Circuit Update parameter. Circuit section planned connect date", "format": "date-time" }, "connectDateReal": { "type": "string", "description": "Optional Circuit Update parameter. Circuit section connect date", "format": "date-time" }, "contractLength": { "type": "string", "description": "Optional Circuit Update parameter. Circuit contract Length" }, "contractNumber": { "type": "string", "description": "Optional Circuit Update parameter. Circuit contract number" }, "customerId": { "type": "string", "description": "Optional Circuit Update parameter.Circuit Customer ID" }, "deviceId": { "type": "integer", "description": "Device ID of Active Device" }, "disconnectDatePlanned": { "type": "string", "description": "Optional Circuit Update parameter. Circuit section planned disconnect date", "format": "date-time" }, "disconnectDateReal": { "type": "string", "description": "Optional Circuit Update parameter. Circuit section disconnect date", "format": "date-time" }, "importanceId": { "type": "string", "description": "Optional Circuit Update parameter. Circuit Importance ID" }, "name": { "type": "string", "description": "Optional Circuit Update parameter. Circuit identifier" }, "name2": { "type": "string", "description": "Optional Circuit Update parameter. Circuit alternative identifier" }, "orderNumber": { "type": "string", "description": "Optional Circuit Update parameter. Circuit order number" }, "organisationId": { "type": "string", "description": "Optional Circuit Update parameter. Circuit Organization ID" }, "portId": { "type": "integer", "description": "Port ID of Active Device Port (Note! Required if portName not given)" }, "portName": { "type": "string", "description": "Port Name of Active Device Port (Note! Required if portId not given)" }, "redundancyId": { "type": "string", "description": "Optional Circuit Update parameter. Circuit Redundancy ID" }, "sectionId": { "type": "integer", "description": "Optional search parameter. ID of the circuit section" }, "sourceSystem": { "type": "integer", "description": "Optional search parameter. Source System (Apartment/Address Level) of circuit installation address" }, "sourceSystemKey": { "type": "integer", "description": "Optional search parameter. Source System Key (Apartment/Address Level) of circuit installation address" }, "usageId": { "type": "integer", "description": "Optional search parameter. Usage purpose ID of circuit section" } } } ] }, "CircuitRouteInformation": { "allOf": [ { "$ref": "#/components/schemas/Circuit" }, { "type": "object", "properties": { "sections": { "type": "array", "items": { "$ref": "#/components/schemas/CircuitSectionRouteInformation" }, "description": "Circuit sections" } } } ] }, "Circuit": { "type": "object", "properties": { "areaCode": { "type": "string", "description": "Circuit area code" }, "comments": { "type": "string", "description": "Circuit comments. Available from product version 3.2.8." }, "contractLength": { "type": "integer", "description": "Circuit contract length" }, "contractNumber": { "type": "string", "description": "Circuit contract number" }, "createdAt": { "type": "string", "description": "Creation timestamp (date and time). Available from product version v2026.1.", "format": "date-time", "readOnly": true }, "createdBy": { "type": "string", "description": "Creator username", "readOnly": true }, "createdTs": { "type": "string", "description": "Creation date (date only, existing field)", "format": "date", "readOnly": true }, "customer": { "$ref": "#/components/schemas/Customer" }, "directLength": { "type": "number", "description": "Circuit direct length", "format": "float" }, "id": { "type": "integer", "description": "Primary key", "readOnly": true }, "identifier": { "type": "string", "description": "Circuit identifier" }, "identifierAlt": { "type": "string", "description": "Circuit alternative identifier" }, "importance": { "$ref": "#/components/schemas/CircuitImportance" }, "installationAddresses": { "type": "array", "items": { "type": "string", "format": "url" }, "description": "Circuit installations addresses" }, "length": { "type": "number", "description": "Circuit length", "format": "float" }, "orderNumber": { "type": "string", "description": "Circuit order number" }, "organisation": { "$ref": "#/components/schemas/CircuitOrganisation" }, "redundancy": { "$ref": "#/components/schemas/CircuitRedundancy" }, "sections": { "type": "array", "items": { "$ref": "#/components/schemas/CircuitSection" }, "description": "Circuit sections" }, "supercircuit": { "$ref": "#/components/schemas/SuperCircuit" }, "supercircuitOrderNo": { "type": "integer", "description": "Order number of this circuit within the super circuit. Available from product version v2026.2." }, "updatedAt": { "type": "string", "description": "Last update timestamp (date and time). Available from product version v2026.1.", "format": "date-time", "readOnly": true }, "updatedBy": { "type": "string", "description": "Last updater username", "readOnly": true }, "updatedTs": { "type": "string", "description": "Last update date (date only, existing field)", "format": "date", "readOnly": true } } }, "CircuitSectionRouteInformation": { "allOf": [ { "$ref": "#/components/schemas/CircuitSection" }, { "type": "object", "properties": { "abnormalConnections": { "type": "array", "items": { "$ref": "#/components/schemas/CircuitConnection" }, "description": "circuit connections where some of the reserved components in this circuit is reserved to some other circuit and conflicts with active circuit." }, "connectionsToDelete": { "type": "array", "items": { "$ref": "#/components/schemas/CcpConnection" }, "description": "ccp connections where device ports are connected to other components not part of reservation" }, "provisioningDevices": { "type": "array", "items": { "$ref": "#/components/schemas/ProvisioningDevice" }, "description": "list of provisioning devices reserved for the section" }, "reservations": { "type": "object", "properties": { "logical": { "type": "array", "items": { "$ref": "#/components/schemas/CircuitConnectionCCP" }, "description": "logical reservations" }, "physical": { "type": "array", "items": { "$ref": "#/components/schemas/CircuitReservationData" }, "description": "physical reservations" } }, "description": "reservation data" }, "totalAttenuation": { "type": "number", "description": "Total attenuation of circuit components", "format": "float" }, "totalLength": { "type": "number", "description": "Total length of the circuit components", "format": "float" } } } ] }, "ErrorDetailsResponse": { "required": [ "details" ], "type": "object", "properties": { "details": { "type": "string", "description": "Detailed description of error" } }, "description": "Standard error response payload" }, "Customer": { "required": [ "number", "address" ], "type": "object", "properties": { "address": { "$ref": "#/components/schemas/Apartment" }, "addressAlt": { "$ref": "#/components/schemas/Apartment" }, "billingName": { "type": "string", "description": "Customer billing name" }, "businessId": { "type": "string", "description": "Customer bussiness id" }, "contactName": { "type": "string", "description": "Customer contact name or null. Available from product version 2026.1" }, "createdBy": { "type": "string", "description": "creator", "readOnly": true }, "createdTs": { "type": "string", "description": "Creation date and time", "format": "date-time", "readOnly": true }, "email": { "type": "string", "description": "Customer email" }, "id": { "type": "integer", "description": "Primary key", "readOnly": true }, "mobilePhone": { "type": "string", "description": "Customer mobile phone number name" }, "name": { "type": "string", "description": "Customer name" }, "number": { "type": "string", "description": "Customer number" }, "phone": { "type": "string", "description": "Customer phone number" }, "smsProhibited": { "type": "boolean", "description": "Sending sms is prohibited to customer" }, "telefax": { "type": "string", "description": "Customer fax number" }, "type": { "$ref": "#/components/schemas/CustomerType" }, "updatedBy": { "type": "string", "description": "Last updater", "readOnly": true }, "updatedTs": { "type": "string", "description": "Last update date time", "format": "date-time", "readOnly": true } } }, "CircuitImportance": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "CIRCUIT_IMPORTANCE" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Circuit importance" }, "CircuitOrganisation": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "KN_ORGANISATION" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Circuit organisation" }, "CircuitRedundancy": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "CIRCUIT_REDUNDANCY" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Circuit redundancy" }, "CircuitSection": { "required": [ "usageState", "usagePurpose", "circuit" ], "type": "object", "properties": { "bitrate": { "$ref": "#/components/schemas/Bitrate" }, "circuit": { "type": "string", "description": "Circuit the section is in", "format": "url" }, "connectionDate": { "type": "string", "description": "actual section connection date", "format": "date-time" }, "constructionState": { "$ref": "#/components/schemas/ConstructionState" }, "createdBy": { "type": "string", "description": "Creator username. Available from product version v2026.1.", "readOnly": true }, "createdTs": { "type": "string", "description": "Creation timestamp. Available from product version v2026.1.", "format": "date-time", "readOnly": true }, "disconnectionDate": { "type": "string", "description": "actual section disconnection date", "format": "date-time" }, "extraUsages": { "type": "array", "items": { "$ref": "#/components/schemas/CircuitSectionExtraUsage" }, "description": "Extra usages for the Circuit Section. Available from product version 2026.1" }, "id": { "type": "integer", "description": "Primary key", "readOnly": true }, "name": { "type": "string", "description": "Section name" }, "plannedConnectionDate": { "type": "string", "description": "planned section connection date", "format": "date-time" }, "plannedDisconnectionDate": { "type": "string", "description": "planned section disconnection date", "format": "date-time" }, "updatedBy": { "type": "string", "description": "Last updater username. Available from product version v2026.1.", "readOnly": true }, "updatedTs": { "type": "string", "description": "Last update timestamp. Available from product version v2026.1.", "format": "date-time", "readOnly": true }, "usagePurpose": { "$ref": "#/components/schemas/CircuitUsage" }, "usageState": { "$ref": "#/components/schemas/CircuitUsageState" } } }, "SuperCircuit": { "type": "object", "properties": { "id": { "type": "integer", "description": "Primary key" }, "identifier": { "type": "string", "description": "Super circuit identifier" }, "itemType": { "$ref": "#/components/schemas/TxtConstant" }, "networkType": { "$ref": "#/components/schemas/TxtConstant" }, "state": { "$ref": "#/components/schemas/TxtConstant" } }, "description": "Super circuit (nested in Circuit responses). Available from product version v2026.2." }, "CircuitConnection": { "required": [ "section" ], "type": "object", "properties": { "address": { "$ref": "#/components/schemas/Address" }, "ccp": { "$ref": "#/components/schemas/CCP" }, "circuit": { "type": "string", "description": "Url to fetch details of related circuit.", "format": "url", "readOnly": true }, "connection": { "$ref": "#/components/schemas/CcpConnection" }, "createdBy": { "type": "string", "description": "Creator username. Available from product version v2026.1.", "readOnly": true }, "createdTs": { "type": "string", "description": "Creation timestamp. Available from product version v2026.1.", "format": "date-time", "readOnly": true }, "details": { "type": "string", "description": "Circuit connection details in text" }, "device": { "type": "string", "description": "Url to fetch details of related device.", "format": "url", "readOnly": true }, "hierarchy": { "type": "integer", "description": "Circuit hierarchy id", "readOnly": true }, "hierarchyLength": { "type": "number", "description": "Cable length (sum) reserved for the subcircuit in the hierarchy. Null unless hierarchy is set.", "readOnly": true }, "hierarchyParentCircuitName": { "type": "string", "description": "Name of the parent circuit this row's subcircuit hierarchy belongs to. Null unless hierarchy is set.", "readOnly": true }, "hierarchyTimeslot": { "type": "integer", "description": "Timeslot reserved for the subcircuit in the hierarchy. Null unless hierarchy is set.", "readOnly": true }, "id": { "type": "integer", "description": "Primary key", "readOnly": true }, "order": { "type": "integer", "description": "The order number in section's circuit connections" }, "premises": { "type": "string", "description": "Url to fetch details of related telecom premises.", "format": "url", "readOnly": true }, "section": { "type": "string", "description": "Url to fetch details of related circuit section.", "format": "url" }, "updatedBy": { "type": "string", "description": "Last updater username. Available from product version v2026.1.", "readOnly": true }, "updatedTs": { "type": "string", "description": "Last update timestamp. Available from product version v2026.1.", "format": "date-time", "readOnly": true } } }, "CcpConnection": { "type": "object", "properties": { "attenuation": { "type": "number", "description": "Connection attenuation", "format": "float" }, "cableLength": { "type": "number", "description": "Cable length", "format": "float" }, "ccp1Id": { "type": "string", "description": "Url to fetch details of first cross connection point.", "format": "url" }, "ccp1PremId": { "type": "string", "description": "Url to fetch details of first premises.", "format": "url" }, "ccp1TermId": { "type": "string", "description": "Url to fetch details of first terminal.", "format": "url" }, "ccp2Id": { "type": "string", "description": "Url to fetch details of second cross connection point.", "format": "url" }, "ccp2PremId": { "type": "string", "description": "Url to fetch details of second premises.", "format": "url" }, "ccp2TermId": { "type": "string", "description": "Url to fetch details of second terminal.", "format": "url" }, "connectionType": { "$ref": "#/components/schemas/CcpConnectionType" }, "constState": { "$ref": "#/components/schemas/ConstructionState" }, "directionId": { "$ref": "#/components/schemas/ConnectionDirection" }, "id": { "type": "integer", "description": "Primary key", "readOnly": true } } }, "ProvisioningDevice": { "type": "object", "properties": { "ccp": { "type": "string", "description": "Url to fetch details of related connector/port", "format": "url" }, "circuit": { "type": "string", "description": "Url to fetch details of related circuit.", "format": "url" }, "device": { "type": "string", "description": "Url to fetch details of related device", "format": "url" }, "order": { "type": "integer", "description": "The order number in section's circuit connections." }, "premises": { "type": "string", "description": "Url to fetch details of related telecom premises.", "format": "url" }, "section": { "type": "string", "description": "Url to fetch details of related circuit section.", "format": "url" } } }, "CircuitConnectionCCP": { "allOf": [ { "$ref": "#/components/schemas/CircuitConnection" }, { "type": "object", "properties": { "ccp": { "$ref": "#/components/schemas/CCPDevicePremise" } } } ] }, "CircuitReservationData": { "type": "object", "properties": { "circuit": { "type": "string", "description": "Reservation circuit", "format": "url" }, "circuitOrder": { "type": "integer", "description": "Reservation circuit order number" }, "component": { "type": "string", "description": "Reservation component name" }, "componentAttenuation": { "type": "number", "description": "Reservation component attenuation", "format": "float" }, "componentId": { "type": "integer", "description": "Reservation component Id" }, "componentLength": { "type": "number", "description": "Reservation component length. This field cannot be used for filtering or ordering", "format": "float" }, "componentState": { "type": "string", "description": "Reservation component state" }, "componentType": { "type": "string", "description": "Reservation component type" }, "container": { "type": "string", "description": "Reservation container name" }, "containerId": { "type": "integer", "description": "Reservation container Id" }, "containerState": { "type": "string", "description": "Reservation container state" }, "containerType": { "type": "string", "description": "Reservation container type" }, "lineLocation": { "type": "string", "description": "Linear geographical location of component", "format": "ewkt" }, "pointLocation": { "type": "string", "description": "Point geographical location of component", "format": "ewkt" }, "section": { "type": "string", "description": "Reservation section", "format": "url" }, "topContainer": { "type": "string", "description": "Reservation top container name" }, "topContainerId": { "type": "integer", "description": "Reservation top container Id" }, "topContainerState": { "type": "string", "description": "Reservation top container state" }, "topContainerType": { "type": "string", "description": "Reservation top container type" } } }, "Apartment": { "required": [ "address" ], "type": "object", "properties": { "address": { "$ref": "#/components/schemas/Address" }, "apartmentDivision": { "type": "string", "description": "apartment division" }, "apartmentLetter": { "type": "string", "description": "apartment letter" }, "apartmentNumber": { "type": "string", "description": "apartment number" }, "empty": { "enum": [ 0, 1 ], "type": "integer", "description": "Apartment with this value as 1 is default apartment. Modifying or deleting such apartment is prohibited.", "readOnly": true }, "id": { "type": "integer", "description": "Primary key", "readOnly": true }, "originProperty": { "type": "string", "description": "apartment original property id" }, "originalStreetno": { "type": "string", "description": "apartment original streen number" }, "sourceSystem": { "$ref": "#/components/schemas/SourceSystem" }, "sourceSystemKey": { "type": "integer", "description": "source system key" }, "usagePurpose": { "$ref": "#/components/schemas/ApartmentUsage" }, "usagePurposeAlt": { "$ref": "#/components/schemas/AddressSecondaryUsage" }, "usageState": { "$ref": "#/components/schemas/ApartmentStatus" } } }, "CustomerType": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "KN_CUST_TYPE" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Customer type" }, "Bitrate": { "type": "object", "properties": { "description": { "type": "string", "description": "Bitrate description", "readOnly": true }, "id": { "type": "integer", "description": "Primary key", "readOnly": true }, "rate": { "type": "integer", "description": "Bitrate value", "readOnly": true } } }, "ConstructionState": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "KN_CONST_STATE" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Txt constants construction state" }, "CircuitSectionExtraUsage": { "type": "object", "properties": { "customerUrl": { "type": "string", "description": "Hyperlink to the related customer", "format": "uri" }, "extraUsage": { "$ref": "#/components/schemas/ExtraUsage" }, "information": { "type": "string", "description": "Free text information" }, "name1": { "type": "string", "description": "Optional name field 1", "example": "John Doe" }, "name2": { "type": "string", "description": "Optional name field 2", "example": "Jane Doe" }, "name3": { "type": "string", "description": "Optional name field 3", "example": "Jane Doe" }, "name4": { "type": "string", "description": "Optional name field 4", "example": "Jane Doe" }, "pk": { "type": "integer", "description": "Primary key", "example": 1 } } }, "CircuitUsage": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "USAGE" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Circuit usage" }, "CircuitUsageState": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "KN_USAGE_STATE" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Circuit usage state" }, "TxtConstant": { "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "type": "string", "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } } }, "Address": { "required": [ "streetname", "city" ], "type": "object", "properties": { "buildingId": { "type": "string", "description": "Building id" }, "buildingName": { "type": "string", "description": "Building name" }, "city": { "type": "string", "description": "Building city name" }, "cityAlt": { "type": "string", "description": "Building city name in alternative language" }, "country": { "type": "string", "description": "Building country" }, "createdBy": { "type": "string", "description": "creator", "readOnly": true }, "createdTs": { "type": "string", "description": "Creation date and time", "format": "date-time", "readOnly": true }, "district": { "type": "string", "description": "Building district" }, "empty": { "enum": [ 0, 1 ], "type": "integer", "description": "Address with this value as 1 is default address. Modifying or deleting such address is prohibited.", "readOnly": true }, "id": { "type": "integer", "description": "Primary key", "readOnly": true }, "location": { "type": "string", "description": "Geographical location", "format": "ewkt" }, "municipality": { "type": "string", "description": "Building municipality" }, "propertyId": { "type": "string", "description": "Property number" }, "province": { "type": "string", "description": "Building province" }, "sourceSystem": { "$ref": "#/components/schemas/SourceSystem" }, "sourceSystemKey": { "type": "integer", "description": "source system key" }, "streetname": { "type": "string", "description": "Building street name" }, "streetnameAlt": { "type": "string", "description": "Building street name in alternative language" }, "streetno": { "type": "string", "description": "Building number" }, "subdivision": { "type": "string", "description": "Building municipality subdivision" }, "updatedBy": { "type": "string", "description": "Last updater", "readOnly": true }, "updatedTs": { "type": "string", "description": "Last update date time", "format": "date-time", "readOnly": true }, "usagePurpose": { "$ref": "#/components/schemas/BuildingUsage" }, "usagePurposeAlt": { "$ref": "#/components/schemas/AddressSecondaryUsage" }, "zipcode": { "type": "string", "description": "Building zipcode" } } }, "CCP": { "required": [ "name", "startThread", "terminal" ], "type": "object", "properties": { "bitrate": { "$ref": "#/components/schemas/Bitrate" }, "ccpOwner": { "$ref": "#/components/schemas/CcpOwner" }, "channelType": { "$ref": "#/components/schemas/ChannelType" }, "connectorType": { "$ref": "#/components/schemas/ConnectorType" }, "constState": { "$ref": "#/components/schemas/ConstructionState" }, "freeStatus": { "enum": [ 1, 0 ], "type": "integer", "description": "Defines if cross connection point is free" }, "functionality": { "type": "string", "description": "Functionality" }, "id": { "type": "integer", "description": "Primary key", "readOnly": true }, "name": { "type": "string", "description": "Name of cross connection point" }, "parent": { "type": "string", "description": "Url to fetch details of parent cross connection point", "format": "url" }, "priority": { "$ref": "#/components/schemas/CcpPriority" }, "remarks": { "type": "string", "description": "Remarks" }, "services": { "type": "array", "items": { "$ref": "#/components/schemas/ServiceType" }, "description": "List of this cross connection point's services", "readOnly": true }, "signalDirection": { "$ref": "#/components/schemas/SignalDirection" }, "startThread": { "type": "integer", "description": "Start thread" }, "subCcpOrder": { "type": "integer", "description": "Sub connector order" }, "subchannelsExist": { "enum": [ 1, 0 ], "type": "string", "description": "Defines whether subchannels exist or not" }, "technology": { "enum": [ 1, 0 ], "type": "integer", "description": "Technology of ccp. 1 for Fiber, 0 for Copper." }, "terminal": { "type": "string", "description": "url of cross connection point terminal/device", "format": "url" } } }, "CcpConnectionType": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "KN_CONNECTION_TYPE" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Connection type" }, "ConnectionDirection": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "KN_CONN_DIR" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Connection direction" }, "CCPDevicePremise": { "allOf": [ { "$ref": "#/components/schemas/CCP" }, { "type": "object", "properties": { "device": { "type": "array", "items": { "$ref": "#/components/schemas/Device" }, "description": "List of related devices" }, "premises": { "type": "array", "items": { "$ref": "#/components/schemas/Premises" }, "description": "List of related premises" } } } ] }, "SourceSystem": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "SOURCE_SYSTEM" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "External source system" }, "ApartmentUsage": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "APARTMENT_USAGE" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Apartment Usage purpose" }, "AddressSecondaryUsage": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "KN_ADDR_SPEC" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Address usage purpose" }, "ApartmentStatus": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "APARTMENT_STATUS" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Apartment status" }, "ExtraUsage": { "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Availability end timestamp", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Availability start timestamp", "format": "date-time" }, "available": { "type": "boolean", "description": "Whether the constant is available" }, "groupname": { "enum": [ "KN_EXTRAUSAGE" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url", "example": "https://keycom.example.com/api/v2/txt_constants/groupname/KN_EXTRAUSAGE/" }, "logical_txt": { "type": "string", "description": "Logical textual value", "example": "IPTV DSL-liittymälle" }, "num_value": { "type": "integer", "description": "Numeric value 1", "example": 3.0 }, "num_value2": { "type": "integer", "description": "Numeric value 2" }, "num_value3": { "type": "integer", "description": "Numeric value 3" }, "num_value4": { "type": "integer", "description": "Numeric value 4" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Circuit Section Extra Usage Txt Constant definition" }, "BuildingUsage": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "BUILDING_USAGE" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Building usage purpose" }, "CcpOwner": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "KN_CCP_OWNER" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Cross connection point owner" }, "ChannelType": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "CHANNEL_TYPE" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Cross connection point channel type" }, "ConnectorType": { "required": [ "abbreviation", "description", "threadCount" ], "type": "object", "properties": { "abbreviation": { "type": "string", "description": "Abbreviation" }, "attenuation": { "type": "number", "description": "Attenuation", "format": "float" }, "description": { "type": "string", "description": "Description" }, "id": { "type": "integer", "description": "Primary key", "readOnly": true }, "technologyId": { "enum": [ 1, 0 ], "type": "integer", "description": "Technology id." }, "threadCount": { "type": "integer", "description": "Thread count" } } }, "CcpPriority": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "CCP_PRIORITY" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Cross connection point priority" }, "ServiceType": { "required": [ "usage", "technology" ], "type": "object", "properties": { "cableLength": { "type": "number", "des
[...]
